<?php
$mimeArray = array('application/pdf');
$extArray = array('pdf');

class file {
	
	function save_file($imagemfile, $imagemfileold="" , $path , $nome, $tipo="", $ext=""){   
		global $mimeArray, $extArray;
		
		if (($imagemfile) && ($imagemfile != "none")){
			   	
				/*if (!in_array($tipo, $mimeArray)) {
					if (!in_array($ext, $extArray)){
			   	  		return $imagemfileold;
					}
			   	} */
					
				$i=0;
				$imagem=$path . strtolower($nome);
				
				while (is_file($imagem ) ){
					$i+=1;
					$imagem=$path . $i . $nome;
				}
				
				if (!move_uploaded_file($imagemfile, $imagem )) {
    				print("failed to copy $imagemfile ...<br>\n");
				} 
				else {
					return $imagem;
				}
			} 
		return $imagemfileold;
	}

	
}
?>